import { Dispatch, MutableRefObject, SetStateAction } from 'react';
import { TextInput } from 'react-native';
export interface AutoFocusProps {
    onPressIn: () => void;
    ref: (el: TextInput | null) => any;
    inputRef: (el: TextInput | null) => any;
    onSubmitEditing: () => void;
}
export interface AutoFocusState {
    /** Blur the current TextInput */
    blur: () => void;
    /** List or references */
    refs: MutableRefObject<never[]>;
    /** Get TextInput reference by index */
    getRef: (index: number) => (el: TextInput | null) => void;
    /** Focus the current TextInput */
    focus: (force?: boolean) => void;
    /** Change focus to the next TextInput */
    nextFocus: () => void;
    /** Current TextInput index */
    currentFocus: number;
    /** Set current TextInput by index */
    setCurrentFocus: Dispatch<SetStateAction<number>>;
    /** Returns TextInput props for web like auto focus*/
    autoFocusProps: (index: number) => AutoFocusProps;
}
declare function useAutoFocus(navigation?: any): AutoFocusState;
export default useAutoFocus;
